> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a User resource.

> Retrieves a User resource.



## OpenAPI

````yaml /openapi.json get /api/users/activation/{id}/{token}
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/users/activation/{id}/{token}:
    get:
      tags:
        - User
      summary: Retrieves a User resource.
      description: Retrieves a User resource.
      operationId: user_get_activation
      parameters:
        - name: id
          in: path
          description: User identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: token
          in: path
          description: User identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: User resource
          content:
            application/ld+json:
              schema:
                $ref: >-
                  #/components/schemas/User.jsonld-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/User-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/User.html-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    User.jsonld-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            email:
              maxLength: 255
              format: email
              externalDocs:
                url: https://schema.org/email
              type: string
            password_set_at:
              type:
                - string
                - 'null'
              format: date-time
            first_name:
              maxLength: 100
              type:
                - string
                - 'null'
            last_name:
              maxLength: 100
              type:
                - string
                - 'null'
            enabled:
              type: boolean
            last_login:
              type:
                - string
                - 'null'
              format: date-time
            api_key:
              type:
                - string
                - 'null'
            roles:
              type: array
              items:
                type:
                  - string
                  - 'null'
            utm_tags:
              type:
                - array
                - 'null'
              items:
                type:
                  - string
                  - 'null'
            bento_hash:
              type:
                - string
                - 'null'
            intercom_hash:
              type:
                - string
                - 'null'
            is_subscription_expired:
              readOnly: true
              default: true
              type: boolean
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
            default_team:
              anyOf:
                - $ref: >-
                    #/components/schemas/Team.jsonld-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
                - type: 'null'
              readOnly: true
          required:
            - email
      description: Core user operations
    User-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      type: object
      description: Core user operations
      properties:
        id:
          readOnly: true
          type: string
        email:
          maxLength: 255
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
        password_set_at:
          type:
            - string
            - 'null'
          format: date-time
        first_name:
          maxLength: 100
          type:
            - string
            - 'null'
        last_name:
          maxLength: 100
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        last_login:
          type:
            - string
            - 'null'
          format: date-time
        api_key:
          type:
            - string
            - 'null'
        roles:
          type: array
          items:
            type:
              - string
              - 'null'
        utm_tags:
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        bento_hash:
          type:
            - string
            - 'null'
        intercom_hash:
          type:
            - string
            - 'null'
        is_subscription_expired:
          readOnly: true
          default: true
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        default_team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
            - type: 'null'
          readOnly: true
      required:
        - email
    User.html-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      type: object
      description: Core user operations
      properties:
        id:
          readOnly: true
          type: string
        email:
          maxLength: 255
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
        password_set_at:
          type:
            - string
            - 'null'
          format: date-time
        first_name:
          maxLength: 100
          type:
            - string
            - 'null'
        last_name:
          maxLength: 100
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        last_login:
          type:
            - string
            - 'null'
          format: date-time
        api_key:
          type:
            - string
            - 'null'
        roles:
          type: array
          items:
            type:
              - string
              - 'null'
        utm_tags:
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        bento_hash:
          type:
            - string
            - 'null'
        intercom_hash:
          type:
            - string
            - 'null'
        is_subscription_expired:
          readOnly: true
          default: true
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        default_team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team.html-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read
            - type: 'null'
          readOnly: true
      required:
        - email
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
    Team.jsonld-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            name:
              type: string
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
            owner_email:
              readOnly: true
              type: string
            last_activity_at:
              readOnly: true
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
      description: Basic CRUD operations
    Team-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        owner_email:
          readOnly: true
          type: string
        last_activity_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - name
    Team.html-user.read_team.restricted_payment.read_subscription.read_consumption.read_last_activity.read_plan.read_topup.read_auto_topup_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        owner_email:
          readOnly: true
          type: string
        last_activity_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - name
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````